#!/bin/sh

>/etc/mtab
mount /var
mkdir /var/tmp
mkdir /var/run
mkdir /var/log
mkdir /var/lock
mkdir /var/empty

## nsg nodes for a tty-device
mkdir /dev/nsg
mount /dev/nsg

mount /dev/pts

hostname nsg
/sbin/ifconfig lo 127.0.0.1
if [ -f /etc_sav/rc.sh ]; then
    if /sbin/getkey -c 10 -m "Press Y within %d secs to cancel restoring /etc from /etc_sav..  " y ; then
	echo "Restoring previous /etc cancelled. Files will be saved in /etc.prev"
    else
	/bin/rm -R /etc/*
	/bin/cp -R /etc_sav/* /etc
    fi
    /bin/mkdir -p /etc.prev
    /bin/cp -R /etc_sav/* /etc.prev
    /bin/rm -R /etc_sav
fi

/sbin/ifconfig eth0 up
/sbin/ifconfig eth1 up

/usr/sbin/xinetd -stayalive -reuse -pidfile /tmp/xinetd.pid
# start sshd
#. /etc/sshd-start

/sbin/zebra -d

if [ -f /sbin/ospfd ] ; then
/sbin/ospfd -d
fi
if [ -f /sbin/ripd ] ; then
/sbin/ripd -d
fi
if [ -f /sbin/bgpd ] ; then
/sbin/bgpd -d
fi

# disable output of any messages
echo 0 >/proc/sys/kernel/printk

# set NPROC_RCFLAG_CREATE_NENT
echo 1 >/proc/sys/nsg/.rc_flags
# set NPROC_RCFLAG_DO_BOOT
echo 2 >/proc/sys/nsg/.rc_flags

/bin/vtysh -b

# set NPROC_RCFLAG_DONE_BOOT, must be followed after NPROC_RCFLAG_DO_BOOT
echo 4 >/proc/sys/nsg/.rc_flags

# delete any NPROC_RCFLAG_...
echo 0 >/proc/sys/nsg/.rc_flags

# restore output of messages
echo 7 >/proc/sys/kernel/printk

